## Multi-stage investment planning
Recent improvements in the GenX source code enable its use for studying long-term evolution of the power system across multiple investment stages. More information of this feature can be found in the section on `Multi-stage` under the `Model function reference` tab. In brief, GenX can be used to study multi-stage power system planning in the following two ways: 
- The user can formulate and solve a single deterministic multi-stage investment planning problem with perfect foresight i.e. cost and policy assumptions about all stages are known and exploited to determine the least-cost investment trajectory. The solution of this multi-stage problem relies on exploiting the decomposable nature of the multi-stage problem via the implementation of the dual dynamic programming algorithm, described [elsewhere](https://www.sciencedirect.com/science/article/abs/pii/S0377221718304466). 
- The user can formulate and solve a sequence of single-stage investment planning wherein investment decisions in each stage are individually optimized, while investment decisions from previous stages treated as fixed. We refer to this as "Myopic" mode of the multi-stage model since the solution does not account for information about future stages in determining investments for a given stage.
